[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [AccessType](./index.md)

# AccessType

`enum class AccessType` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L27)

The access-type determines whether the code can be exchanged for a refresh token for
offline use or not.

### Enum Values

| Name | Summary |
|---|---|
| [ONLINE](-o-n-l-i-n-e.md) |  |
| [OFFLINE](-o-f-f-l-i-n-e.md) |  |

### Properties

| Name | Summary |
|---|---|
| [msg](msg.md) | `val msg: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>string value of the access-type |

### Extension Functions

| Name | Summary |
|---|---|
| [loadResourceAsString](../../mozilla.components.support.test.file/kotlin.-any/load-resource-as-string.md) | `fun `[`Any`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)`.loadResourceAsString(path: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>Loads a file from the resources folder and returns its content as a string object. |
